Go Down

Topic: VirtualWire ide 0.22-23 atmega2560 (Read 1 time) previous topic - next topic

infobarquee

bonjour,
je viens de me battre pendant quelques heures afin de faire tourner virtualwire sur une 2560 avec d'ancienne version ide 0.22-0.23 afin d'utiliser un métteur et récepteur 433mhz.

Pourquoi cette ancienne version?
simplement que les données ne sont pas modifiées comme avec les nouveaux IDE et lib.

cela fonctionne bien avec un uno mais pas avec une 2560
si vous essayez, il va en ressortir une liste d'erreur style
attempt to use poisoned "SIG_USART0_RECV"

pour y remédier allez dans le rep
arduino0023/hardware/arduino/cores/arduino
éditez le fichier HardwareSerial.cpp et ajoutez en début de fichier cette ligne
Code: [Select]
#define __AVR_LIBC_DEPRECATED_ENABLE__ 1
enregistrez et relancez l'ide.
magie, plus d'erreur :)

bonne soirée
AUCUNE AIDE PAR MP

Go Up